Subject: [OSPF] Comments on draft-ietf-ospf-te-link-attr-reuse-01.txt and draft-ietf-isis-te-app-01.txt

From: <[email-masked]>
Date: Mon, 16 Oct 2017 17:03:15 +0200

Dear authors,

Please find below a comment on both draft-ietf-ospf-te-link-attr-reuse-01.txt and draft-ietf-isis-te-app-01.txt.

I consider the use case of bandwidth reservation. I know this is not the most common use case, but the one I known well. The context is that of an operator who would setup some RSVP-TE tunnels and simultaneously SR-TE paths with bandwidth reservation. In this particular case, it is not possible to manage both reservation with the drafts as they are.

Indeed, in OSPF draft, it is not proposed to advertised the usual bandwidth parameters as defined in RFC3630 and in ISIS, it is proposed to duplicate these parameters per application. The main problem arises from the fact that each application, in this case SR-TE and RSVP-TE, independently compute a path and therefore reserve bandwidth on their respective set of parameters. However, this will lead at a some point to bandwidth overbooking, which exactly what an operator wants to avoid by performing bandwidth reservation. Even if a PCE can be used to handle both the RSVP-TE tunnels and SR-TE paths, the same problem arises because each path computation is performed on a different set of bandwidth parameters i.e. one TED per application whereas these information relate to the same links. Of course a central entity like a PCE might try to reconcile the information into a single TED, but this will greatly increase the complexity of the PCE with a risk that the TE information will
never be up to date, so at the end unnecessary.

So, for me there are only 2 possibles solutions to avoid this overbooking problem:

1/ Split and partition network resources to avoid conflicts. But, this leads into a poor network usage. Indeed, if an application like RSVP-TE uses less bandwidth than its budget, why the SR-TE application could not reuse them if it has reached its threshold ? The under utilization of network resources will increase proportionally with the number of applications. Imagine if we want to use this principle for network Slicing. I understand the advantage for vendors, but I'm on the operator side ;-)

2/ Each time an application reserved some bandwidth, the routers concerned by this new path must update the bandwidth parameters of the concerned link not only to the given application, but also to all others. For example, when RSVP-TE setup a tunnel, Unreserved Bandwidth parameters must be updated in the standard RFC3630 set, but also in SR-TE parameters set. But, in this case, why duplicate TE parameters if at the end all set carry the same values, apart wasting CPU and bandwidth ?

In summary, duplicate TE information is only relevant for the added metrics i.e. delay, loss, jitter ... but unusable for concave metrics i.e. bandwidth.

Can you explain me how you intend to solve this issue as both possible solutions are not suitable for an operator.

Best Regards

Olivier

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 24 Oct 2017 23:25:41 +0000

Hi Olivier, 

If you read the definitions of Unidirectional residual, available, and
utilized bandwidth in RFC 7471 you will note that these are all aggregate
rather than application specific values. In other words, they will not
vary per application.

Thanks,
Acee 

On 10/16/17, 11:03 AM, "OSPF on behalf of [email-masked]"
<[email-masked] on behalf of [email-masked]> wrote:

>Dear authors,
>
>Please find below a comment on both
>draft-ietf-ospf-te-link-attr-reuse-01.txt and
>draft-ietf-isis-te-app-01.txt.
>
>I consider the use case of bandwidth reservation. I know this is not the
>most common use case, but the one I known well. The context is that of an
>operator who would setup some RSVP-TE tunnels and simultaneously SR-TE
>paths with bandwidth reservation. In this particular case, it is not
>possible to manage both reservation with the drafts as they are.
>
>Indeed, in OSPF draft, it is not proposed to advertised the usual
>bandwidth parameters as defined in RFC3630 and in ISIS, it is proposed to
>duplicate these parameters per application. The main problem arises from
>the fact that each application, in this case SR-TE and RSVP-TE,
>independently compute a path and therefore reserve bandwidth on their
>respective set of parameters. However, this will lead at a some point to
>bandwidth overbooking, which exactly what an operator wants to avoid by
>performing bandwidth reservation. Even if a PCE can be used to handle
>both the RSVP-TE tunnels and SR-TE paths, the same problem arises because
>each path computation is performed on a different set of bandwidth
>parameters i.e. one TED per application whereas these information relate
>to the same links. Of course a central entity like a PCE might try to
>reconcile the information into a single TED, but this will greatly
>increase the complexity of the PCE with a risk that the TE information
>will
>1/ Split and partition network resources to avoid conflicts. But, this
>leads into a poor network usage. Indeed, if an application like RSVP-TE
>uses less bandwidth than its budget, why the SR-TE application could not
>reuse them if it has reached its threshold ? The under utilization of
>network resources will increase proportionally with the number of
>applications. Imagine if we want to use this principle for network
>Slicing. I understand the advantage for vendors, but I'm on the operator
>side ;-)
>
>2/ Each time an application reserved some bandwidth, the routers
>concerned by this new path must update the bandwidth parameters of the
>concerned link not only to the given application, but also to all others.
>For example, when RSVP-TE setup a tunnel, Unreserved Bandwidth parameters
>must be updated in the standard RFC3630 set, but also in SR-TE parameters
>set. But, in this case, why duplicate TE parameters if at the end all set
>carry the same values, apart wasting CPU and bandwidth ?
>
>In summary, duplicate TE information is only relevant for the added
>metrics i.e. delay, loss, jitter ... but unusable for concave metrics
>i.e. bandwidth.
>
>Can you explain me how you intend to solve this issue as both possible
>solutions are not suitable for an operator.
>
>Best Regards
>
>Olivier
>
>__________________________________________________________________________
>_______________________________________________
>
>Ce message et ses pieces jointes peuvent contenir des informations
>confidentielles ou privilegiees et ne doivent donc
>pas etre diffuses, exploites ou copies sans autorisation. Si vous avez
>recu ce message par erreur, veuillez le signaler
>a l'expediteur et le detruire ainsi que les pieces jointes. Les messages
>electroniques etant susceptibles d'alteration,
>This message and its attachments may contain confidential or privileged
>information that may be protected by law;
>_______________________________________________
>OSPF mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ospf

---

From: <[email-masked]>
Date: Wed, 25 Oct 2017 11:37:33 +0200

Hi Acee,

I agree, but I'm not referring to Unidirectional residual, available and utilized bandwidth as per RFC 7471.

My comment concerns the MaximumBandwidth, MaximumReservableBandwidth and UnreservedBandwidth parameters defined in RFC 3630that are used by the CSPF to compute the path. These one are not aggregate if I correctly understand the proposed draft. I also don't understand why these standard TE parameters are duplicate in the ISIS draft and not mention in the OSPF draft. Do we go to a different behaviour between IS-IS and OSPF ?

Now, if the proposed drafts aims to used onlythese new Performance Metrics without duplicate them per application, my question becomes: Why a new drafts ? Why not simply implement RFC 7471 and RFC 7810 ? Up to now, I know only one partial implementation of these 2 RFCs (in FR-Routing Open Source project).

Regards

Olivier

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 25 Oct 2017 11:45:25 +0000

Hi Olivier, 

On 10/25/17, 5:37 AM, "[email-masked]"
<[email-masked]> wrote:

>My comment concerns the MaximumBandwidth, MaximumReservableBandwidth and
>UnreservedBandwidth parameters defined in RFC 3630that are used by the
>CSPF to compute the path. These one are not aggregate if I correctly
>understand the proposed draft. I also don't understand why these standard
>TE parameters are duplicate in the ISIS draft and not mention in the OSPF
>draft. Do we go to a different behaviour between IS-IS and OSPF ?

If read beyond the draft title, you’ll see that these reservation
parameters are not included in draft-ietf-ospf-te-link-attr-reuse.

>
>Now, if the proposed drafts aims to used onlythese new Performance
>Metrics without duplicate them per application, my question becomes: Why
>a new drafts ? Why not simply implement RFC 7471 and RFC 7810 ? Up to
>now, I know only one partial implementation of these 2 RFCs (in
>FR-Routing Open Source project).

With respect to OSPF, this topic was already discussed at great length on
the OSPF list and during the IETF meetings in both Seoul and Chicago.
Please see the OSPF list archive.

Thanks,
Acee 
>>> So, for me there are only 2 possibles solutions to avoid this
>>>overbooking
>>> problem:
>>>

---

From: <[email-masked]>
Date: Wed, 25 Oct 2017 18:53:08 +0200

Acee,

First apologize for my typo error on IS-IS mailing list. I hope every body got the thread from the beginning (thanks to the OSPF & IS-IS mailing list inter redistribution).

Then, my answers in line.

> parameters are not included in draft-ietf-ospf-te-link-attr-reuse.
I read carefully the draft and it is exactly what it makes confuse me when I read carefully draft-ietf-isis-te-app-01.txt which explicitly reuse these reservation parameters and suggest to duplicate them per application. The latter is my concerns as it will potentially break the possibility to perform efficient bandwidth reservation with both RSVP-TE and SR-TE in a same network. For me, this will be certainly the main use case during the transition period when an operator will go to SR-TE from RSVP-TE. Both protocol must be manage simultaneously during a large period of time. If standard reservation parameters are duplicated, it will be a nightmare to manage efficiently bandwidth reservation without wasting bandwidth.

So, I would understand if
1) both draft will be align ?
2) in which direction i.e. with or without reservation information and
3) if reservation parameters are included, how my use case could be solved ?
> Please see the OSPF list archive.
Apologize. I'm jumping on the bandwagon now.

Regards

Olivier
**

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 27 Oct 2017 01:55:18 +0000

Olivier -

Thanx for the discussion.

The authors of draft-ietf-ospf-te-link-attr-reuse-01.txt and draft-ietf-isis-te-app-01.txt are in discussions and we will resolve the discrepancies between the two drafts as regards the set of link attributes which are supported.
As regards issues associated with MaximumBandwidth, MaximumReservableBandwidth and UnreservedBandwidth parameters this is also under discussion and we will have more to say about that soon.

Appreciate your patience...
 
    Les

> -----Original Message-----
> From: Isis-wg [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Wednesday, October 25, 2017 9:53 AM
> To: Acee Lindem (acee) <[email-masked]>; [email-masked]; [email-masked]
> Subject: Re: [Isis-wg] [OSPF] Comments on draft-ietf-ospf-te-link-attr-reuse-
> 01.txt and draft-ietf-isis-te-app-01.txt
> 
> Acee,
> 
> First apologize for my typo error on IS-IS mailing list. I hope every body got
> the thread from the beginning (thanks to the OSPF & IS-IS mailing list inter
> redistribution).
> 
> >> My comment concerns the MaximumBandwidth,
> MaximumReservableBandwidth
> >> and UnreservedBandwidth parameters defined in RFC 3630that are used
> >> by the CSPF to compute the path. These one are not aggregate if I
> >> correctly understand the proposed draft. I also don't understand why
> >> these standard TE parameters are duplicate in the ISIS draft and not
> >> mention in the OSPF draft. Do we go to a different behaviour between IS-
> IS and OSPF ?
> I read carefully the draft and it is exactly what it makes confuse me when I
> read carefully draft-ietf-isis-te-app-01.txt which explicitly reuse these
> reservation parameters and suggest to duplicate them per application. The
> latter is my concerns as it will potentially break the possibility to perform
> efficient bandwidth reservation with both RSVP-TE and SR-TE in a same
> network. For me, this will be certainly the main use case during the transition
> period when an operator will go to SR-TE from RSVP-TE. Both protocol must
> be manage simultaneously during a large period of time. If standard
> reservation parameters are duplicated, it will be a nightmare to manage
> efficiently bandwidth reservation without wasting bandwidth.
> 
> >> Metrics without duplicate them per application, my question becomes:
> >> Why a new drafts ? Why not simply implement RFC 7471 and RFC 7810 ?
> >> Up to now, I know only one partial implementation of these 2 RFCs (in
> > With respect to OSPF, this topic was already discussed at great length
> > on the OSPF list and during the IETF meetings in both Seoul and Chicago.
> >>> If you read the definitions of Unidirectional residual, available,
> >>> and utilized bandwidth in RFC 7471 you will note that these are all
> >>> aggregate rather than application specific values. In other words,
> >>> they will not vary per application.
> >>>
> >>> Thanks,
> >>> Acee
> >>>
> >>>> I consider the use case of bandwidth reservation. I know this is
> >>>> not the most common use case, but the one I known well. The context
> >>>> is that of an operator who would setup some RSVP-TE tunnels and
> >>>> simultaneously SR-TE paths with bandwidth reservation. In this
> >>>> particular case, it is not possible to manage both reservation with
> >>>> the drafts as they are.
> >>>>
> >>>> bandwidth parameters as defined in RFC3630 and in ISIS, it is
> >>>> proposed to duplicate these parameters per application. The main
> >>>> problem arises from the fact that each application, in this case
> >>>> SR-TE and RSVP-TE, independently compute a path and therefore
> >>>> reserve bandwidth on their respective set of parameters. However,
> >>>> this will lead at a some point to bandwidth overbooking, which
> >>>> exactly what an operator wants to avoid by performing bandwidth
> >>>> reservation. Even if a PCE can be used to handle both the RSVP-TE
> >>>> tunnels and SR-TE paths, the same problem arises because each path
> >>>> computation is performed on a different set of bandwidth parameters
> >>>> i.e. one TED per application whereas these information relate to
> >>>> the same links. Of course a central entity like a PCE might try to
> >>>> increase the complexity of the PCE with a risk that the TE
> >>>> information will never be up to date, so at the end unnecessary.
> >>>>
> >>>> 1/ Split and partition network resources to avoid conflicts. But,
> >>>> this leads into a poor network usage. Indeed, if an application
> >>>> like RSVP-TE uses less bandwidth than its budget, why the SR-TE
> >>>> application could not reuse them if it has reached its threshold ?
> >>>> The under utilization of network resources will increase
> >>>> proportionally with the number of applications. Imagine if we want
> >>>> to use this principle for network Slicing. I understand the
> >>>> advantage for vendors, but I'm on the operator side ;-)
> >>>>
> >>>> concerned by this new path must update the bandwidth parameters of
> >>>> the concerned link not only to the given application, but also to
> >>>> all others.
> >>>> For example, when RSVP-TE setup a tunnel, Unreserved Bandwidth
> >>>> parameters must be updated in the standard RFC3630 set, but also in
> >>>> SR-TE parameters set. But, in this case, why duplicate TE
> >>>> parameters if at the end all set carry the same values, apart
> >>>> wasting CPU and bandwidth ?
> >>>>
> >>>> metrics i.e. delay, loss, jitter ... but unusable for concave
> >>>> metrics i.e. bandwidth.
> >>>>
> >>>> Can you explain me how you intend to solve this issue as both
> >>>> possible solutions are not suitable for an operator.
> >>>>
> >>>> Best Regards
> >>>>
> >>>> Olivier
> >>>>
> >>>>
> >>>>
> __________________________________________________________
> _________
> >>>> _____
> >>>> __
> >>>> confidentielles ou privilegiees et ne doivent donc pas etre
> >>>> diffuses, exploites ou copies sans autorisation. Si vous avez recu
> >>>> ce message par erreur, veuillez le signaler a l'expediteur et le
> >>>> detruire ainsi que les pieces jointes. Les messages electroniques
> >>>> etant susceptibles d'alteration, Orange decline toute
> >>>> responsabilite si ce message a ete altere, deforme ou falsifie.
> >>>> Merci.
> >>>>
> >>>> This message and its attachments may contain confidential or
> >>>> privileged information that may be protected by law; they should
> >>>> not be distributed, used or copied without authorisation.
> >>>> If you have received this email in error, please notify the sender
> >>>> and delete this message and its attachments.
> >>>> As emails may be altered, Orange is not liable for messages that
> >>>> have been modified, changed or falsified.
> >>>> Thank you.
> >>>>
> __________________________________________________________
> ___________
> >> _____ _______________________________________________
> >>
> >> confidentielles ou privilegiees et ne doivent donc pas etre diffuses,
> >> exploites ou copies sans autorisation. Si vous avez recu ce message
> >> par erreur, veuillez le signaler a l'expediteur et le detruire ainsi
> >> que les pieces jointes. Les messages electroniques etant susceptibles
> >> d'alteration, Orange decline toute responsabilite si ce message a ete
> >> altere, deforme ou falsifie. Merci.
> >>
> >> This message and its attachments may contain confidential or
> >> privileged information that may be protected by law; they should not
> >> be distributed, used or copied without authorisation.
> >> If you have received this email in error, please notify the sender
> >> and delete this message and its attachments.
> __________________________________________________________
> __________________________________________________________
> _____
> 
> confidentielles ou privilegiees et ne doivent donc pas etre diffuses, exploites
> ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez
> le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les
> messages electroniques etant susceptibles d'alteration, Orange decline toute
> responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
> 
> information that may be protected by law; they should not be distributed,
> used or copied without authorisation.
> Isis-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/isis-wg